#BLOCK("NewLineReplace", "")
var require = {
		baseUrl: "#System.StoreRoot[js]/lib",

		paths: {
		#IF(#Shop.FeatureMaxValue.GallerySize)
			"yourfiles": "#Shop.MediaGallery.WebPath[js]"
		#ENDIF
		},

		shim: {
	        "backbone": {
	            deps: ["underscore", "jquery"],
	            exports: "Backbone"
	        },

	        "underscore": {
	            exports: "_"
	        }
	    },

	    config: {
	    	"ep": {
				autoMetaparse:               false,
				version: '#System.EpagesVersion',
				webRoot: '#WebRoot[js]',
				storeName: '#StoreName[js]',
				storeWebRoot: '#WebRoot[js]/#StoreName[js]',
				storeRoot: '#System.StoreRoot[js]',
				storeTypeRoot: '#System.StoreRoot[js]',
				javascriptRoot: '#System.StoreRoot[js]/lib',
				siteRoot: '#Site.WebPath[js]',
				siteId: '#Site.ID',
				siteGuid: '#Site.GUID',
				iconsRoot: '#System.StoreRoot[js]/BO/icons',
				maxContentLength: #IF(#WebInterfaceConf.MAXCONTENTLENGTH) #WebInterfaceConf.MAXCONTENTLENGTH #ELSE 5120 #ENDIF,
				debugLevel: #DebugLevel[js],
				languageId: '#INPUT.LanguageID',
				language: '#INPUT.Language'
	    	},

	    	"jquery/i18n": {
		        path: 'ep/i18n',
		        region: '#INPUT.Locale'.replace(/_/,'-'),
		        currency: [
					#IF(#LENGTH(#Site.CurrencyID))'#Site.CurrencyID'#ENDIF#IF(#LENGTH(#Site.CurrencyID) AND #LENGTH(#INPUT.Currency)),#ENDIF
					#IF(#INPUT.Currency)'#INPUT.Currency'#ENDIF#IF(#User.CurrencyID AND (#LENGTH(#Site.CurrencyID) OR #LENGTH(#INPUT.Currency))),#ENDIF
					#IF(#User.CurrencyID)'#User.CurrencyID'#ENDIF
			    ]
		    },

		    "jquery/dict": {
			    region: '#INPUT.Language'
		    },

		    "jquery/metaparse": {
			    type: "data",
			    name: "js",
			    autoparse: false
		    },

		    "util/mime": {
				groups: {
					"image/*": "image/png,image/jpeg,image/jpg,image/gif,image/vnd.microsoft.icon,image/x-icon,image/x-win-bitmap",
					"document/*": "application/pdf,application/msword,application/vnd.ms-excel,application/rtf,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
					"audio/*": "audio/mpeg,audio/x-ms-wma,audio/ogg,audio/flac,audio/x-ms-wma",
					"video/*": "video/x-msvideo,video/mp4,video/mpeg,video/x-ms-wmv,video/x-flv"
				}
		    },

		    "util/storage": {
			    namespace: "#StoreName[0]#Site.ID"+"::"
		    }
	    }
	},

	epConfig = require.config.ep;
#ENDBLOCK