/*global define*/
define('de_epages/externalcontent/gadgetdialog/constants', ['ep'], function (ep) {
    'use strict';
    return {
        gClassname: 'ep-gadget',
        gWidgetNamespace: 'externalcontentUi',
        gNamespace: 'de_epages.externalcontent',
        gDefaults: {
            contentslider: {
                effect: 'fade',
                arrows: false,
                shadow: false,
                border: 'transparent',
                automatic: true,
                displaytime: 3,
                slides: []
            },
            maps: [{
                type: 'google',
                width: 500,
                height: 300,
                zoom: 15,
                title: (ep.config.shopCompany || '') + (ep.config.shopCompany ? ', ' : '') + (ep.config.shopAddress || ''),
                controls: true,
                fixedView: false
            }, {
                type: 'bing',
                width: 500,
                height: 300,
                zoom: 15,
                title: (ep.config.shopCompany || '') + (ep.config.shopCompany ? ', ' : '') + (ep.config.shopAddress || ''),
                controls: true,
                fixedView: false
            }, {
                type: 'klicktel',
                width: 400,
                height: 500,
                address: (ep.config.shopAddress || ''),
                contactPerson: '',
                email: '',
                useRoute: false,
                showAddress: false,
                largeNavigation: false,
                layoutLR: false
            }],
            rss: {
                url: '',
                numberOfEntries: 10,
                onlyHeadlines: false,
                onlySnippets: false,
                showImages: true,
                layout: 'default'
            },
            googleplus: {
                layout: 'standard',
                type: 'bubble'
            },
            translation: {
                service: 'google'
            },
            otherbuttons: {
                services: ['digg', 'delicious', 'stumbleupon', 'technorati', 'mrwong']
            },
            facebook: [{
                type: 'button',
                action: 'like',
                layout: 'standard',
                showFaces: true
            }, {
                type: 'box',
                url: '',
                color: 'light',
                width: 290,
                height: '',
                showHeader: false,
                showStream: false,
                showFaces: true
            }],
            twitter: [{
                type: 'share',
                text: '',
                username: '',
                url: '',
                count: 'none'
            }, {
                type: 'follow',
                username: ''
            }],
            externalvideo: {
                width: 560,
                height: 315
            }
        }
    };
});