/*
 * @copyright   © Copyright 2006-2012, epages GmbH, All Rights Reserved.
 *
 * @module      de_epages.mediagallery.ui.filemanager
 *
 * @revision    $Revision: 1.15.2.1 $
 */

/*global define*/

define("de_epages/mediagallery/filemanager", [
    "jquery",
    "de_epages/mediagallery/filemanager/main-view"
], function ($, MainView) {
    "use strict";

    // defaults
    var defaults = {
            //syncLogo
            element: $("#fileManager"),     // element which contains the file manager
            accept: "*/*",                  // a string of MIME types and/or MIME type groups which will be accepted by the uploader
            selectable: "image/",           // a string of MIME types and/or MIME type groups which can be selected
            currentFolder: "MediaGallery",  // root node of the opened folder
            maxRender: 10,                  // number of list elements that will be initially rendered and added by scrolling downwards
            multiSelect: false,             // allow to select one or several files
            showMediaGallery: 1,            // show or hide the MediaGallery directory
            showHeaderImages: 1,            // show or hide the HeaderImages directory
            showBackgroundImages: 1,        // show or hide the BackgroundImages directory
            showImageDB: 1                  // show or hide the ImageDB directory
        },

        module = {
            init: function (options) {
                var myOptions = $.extend(true, {}, defaults, options),
                    filemanager = new MainView(myOptions);

                return filemanager;
            }
        };

    return module;
});