-- #201
CREATE TABLE object (
     objectid             integer  not null AUTO_INCREMENT
,    classid              integer  not null
,    parentid             integer  null
,    alias                varchar(255)  not null
,    position             integer  not null
,    guid                 varchar(36)  not null
,    inherit              bool  not null
,    creationdate         datetime  not null
,    siteid               integer  not null
,    filepathpart         varchar(255)  null

,   constraint pk_object                        primary key (objectid)
,   constraint fk_object_object                 foreign key (parentid)
        references object                           (objectid)
,   constraint fk_object_object_1               foreign key (siteid)
        references object                           (objectid)
)
GO
CREATE INDEX i_object_class ON object (classid)
GO

CREATE UNIQUE INDEX u_object_alias ON object (parentid, alias)
GO

CREATE UNIQUE INDEX u_object_guid ON object (guid)
GO

CREATE INDEX i_object_siteid_classid_alias ON object (siteid, classid, alias)
GO

